## n900-fmrx-enabler 1.0

=== debian/changelog ===
n900-fmrx-enabler (1.0) stable; urgency=low

  * Fixed bug in upstart script

 -- Martin Grimme <martin.grimme@gmail.com>  Mon, 28 Sep 2009 18:12:00 +0100

n900-fmrx-enabler (0.99) stable; urgency=low

  * Initial release

 -- Martin Grimme <martin.grimme@gmail.com>  Sat, 26 Sep 2009 12:00:00 +0100

## n900-fmrx-enabler 1.1

=== debian/changelog ===
n900-fmrx-enabler (1.1) stable; urgency=low

  * Fixed example script fmradio-tool to use capturing for audio output.
    The filter bypass switches must not be touched as unfiltered low frequencies
    can damage the speakers.

 -- Martin Grimme <martin.grimme@gmail.com>  Sun, 11 Oct 2009 14:15:00 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/mediabox.sgml > mediabox.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package
	$(MAKE) DESTDIR=$(CURDIR)/debian/n900-fmrx-enabler install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## n900-fmrx-enabler 1.3

=== Makefile ===
# No autotools madness here. Just a simple Makefile to satisfy dpkg-buildpackage

# files to copy into destination
BIN_FILES=src/fmradio-tool
EXEC_FILES=src/n900-fmrx-enabler
UPSTART_FILE=n900-fmrx-enabler


_BINDIR=${DESTDIR}/usr/bin
_LIBDIR=${DESTDIR}/usr/libexec
_UPSTARTDIR=${DESTDIR}/etc/event.d


all:
	cd src && make all

clean:
	cd src && make clean

install-bin:
	mkdir -p ${_BINDIR}
	cp ${BIN_FILES} ${_BINDIR}
	chmod a+x ${_BINDIR}/*

install-lib:
	mkdir -p ${_LIBDIR}
	cp ${EXEC_FILES} ${_LIBDIR}
	find ${DESTDIR} -name ".svn" -exec rm -rf "{}" \; ; true
	find ${DESTDIR} -name "*~" -exec rm -f "{}" \; ; true
	chmod a+x ${_LIBDIR}/*

install-upstart:
	mkdir -p ${_UPSTARTDIR}
	cp data/${UPSTART_FILE} ${_UPSTARTDIR}
	chmod a+x ${_UPSTARTDIR}/${UPSTART_FILE}

install: install-bin install-lib install-upstart
	@true

## n900-fmrx-enabler 1.2

=== debian/changelog ===
n900-fmrx-enabler (1.2) stable; urgency=low

  * Wait a bit after powering up the I2C bus and before loading the driver
    module. This should make the radio work on more N900 units.

 -- Martin Grimme <martin.grimme@gmail.com>  Mon, 26 Oct 2009 18:10:00 +0100

=== debian/control ===
Source: n900-fmrx-enabler
Section: misc
Priority: optional
Maintainer: Martin Grimme <martin.grimme@gmail.com>
Build-Depends: debhelper (>= 5), libbluetooth3-dev, libglib2.0-dev, libdbus-glib-1-dev
Standards-Version: 3.7.2

Package: n900-fmrx-enabler
Architecture: armel
Depends: libbluetooth3
Description: D-Bus service for enabling the disabled FM receiver hardware on the N900

## n900-fmrx-enabler 1.3

=== debian/changelog ===
n900-fmrx-enabler (1.3) stable; urgency=low

  * Do a HCI_DEV_DOWN followed by HCI_DEV_UP if Bluetooth was active. Powering
    up the I2C bus must apparently be done immediately after HCI_DEV_UP.

  * Shortened idle timeout to 30 seconds. Clients must invoke request() more
    frequently now.
    
  * Be more verbose when started from the command line

 -- Martin Grimme <martin.grimme@gmail.com>  Mon, 26 Oct 2009 18:10:00 +0100
 

## n900-fmrx-enabler 1.4

=== debian/changelog ===
n900-fmrx-enabler (1.4) stable; urgency=low

  * RDS support

 -- Martin Grimme <martin.grimme@gmail.com>  Sat, 21 Nov 2009 13:15:00 +0100

## n900-fmrx-enabler 1.5-1

=== debian/changelog ===
n900-fmrx-enabler (1.5-1) stable; urgency=low

  * Added missing build-dependency mce-dev
  
 -- Martin Grimme <martin.grimme@gmail.com>  Sun, 13 Dec 2009 19:40:00 +0100

n900-fmrx-enabler (1.5) stable; urgency=low

  * Don't enable Bluetooth in offline mode
  
  * Stop radio when changing to offline mode

 -- Martin Grimme <martin.grimme@gmail.com>  Sat, 12 Dec 2009 16:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Martin Grimme <martin.grimme@gmail.com>
-Build-Depends: debhelper (>= 5), libbluetooth3-dev, libglib2.0-dev, libdbus-glib-1-dev
+Build-Depends: debhelper (>= 5), libbluetooth3-dev, libglib2.0-dev, libdbus-glib-1-dev, mce-dev
 Standards-Version: 3.7.2
 
 Package: n900-fmrx-enabler

## n900-fmrx-enabler 1.5-4%2b0m5

=== debian/changelog ===
n900-fmrx-enabler (1.5-4+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.5-4+0m5

 -- Shane Bradley <shane.bradley@nokia.com>  Thu, 09 Sep 2010 09:30:52 +0300

n900-fmrx-enabler (1.5-4) stable; urgency=low

  * Fixes: NB#190828 - n900-fmrx-enabler doesn't start
  
 -- Shane Bradley <shane.bradley@nokia.com>  Thu, 09 Sep 2010 15:37:00 +0300

n900-fmrx-enabler (1.5-3) stable; urgency=low

  * Symlink to opt library wasn't being created with a clean install.
  
 -- Shane Bradley <shane.bradley@nokia.com>  Fri, 03 Sep 2010 12:00:57 +0300

n900-fmrx-enabler (1.5-2) stable; urgency=low

  * Optify the packages and fix a couple lintian errors.
  
 -- Shane Bradley <shane.bradley@nokia.com>  Thu, 26 Aug 2009 12:00:00 +0100

## n900-fmrx-enabler 1.5-4%2b1m5

=== src/Makefile ===
CPPFLAGS := `pkg-config --cflags dbus-glib-1 glib-2.0 gthread-2.0`
CFLAGS := -Wall -g -O2
LDFLAGS := `pkg-config --libs dbus-glib-1 glib-2.0 gthread-2.0`

all: n900-fmrx-enabler

n900-fmrx-enabler: n900-fmrx-enabler.c n900-fmrx-enabler.h n900-fmrx-enablerGlue.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $<

n900-fmrx-enablerGlue.h: n900-fmrx-enabler.xml
	dbus-binding-tool --mode=glib-server --output=$@ --prefix=fmrx_enabler $^

n900-fmrx-enablerBindings.h: n900-fmrx-enabler.xml
	dbus-binding-tool --mode=glib-client --output=$@ --prefix=fmrx_enabler $^


clean:
	rm -f n900-fmrx-enabler n900-fmrx-enablerGlue.h n900-fmrx-enablerBindings.h *~

.PHONY: all clean

=== debian/changelog ===
n900-fmrx-enabler (1.5-4+1m5) stable; urgency=low

  * Just a version bump - test if HAM will show an update

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 09 Nov 2013 17:52:33 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 Package: n900-fmrx-enabler
 Architecture: armel
-Depends: libbluetooth3
+Section: user/libs
+Depends: libbluetooth3, ${shlibs:Depends}
 Description: D-Bus service for enabling the disabled FM receiver hardware on the N900

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 
 	dh_clean 
 
+
 install: build
 	dh_testdir
 	dh_testroot
@@ -57,6 +58,7 @@
 
 	# Add here commands to install the package
 	$(MAKE) DESTDIR=$(CURDIR)/debian/n900-fmrx-enabler install
+	install -p -D -m644 debian/n900-fmrx-enabler.lintian debian/n900-fmrx-enabler/usr/share/lintian/overrides/n900-fmrx-enabler
 
 
 # Build architecture-independent files here.
